Browse code

- merged from stable (rel0_8_11): - kill_all_children (fixes 'we kill our launching script bug ') - debian updates - tm & sl destroy when not init fixes - ver no. updated

Andrei Pelinescu-Onciul authored on 30/06/2003 15:48:44
Showing 1 changed files
1 1
deleted file mode 100644
... ...
@@ -1,74 +0,0 @@
1
-#! /bin/sh
2
-#
3
-# skeleton	example file to build /etc/init.d/ scripts.
4
-#		This file should be used to construct scripts for /etc/init.d.
5
-#
6
-#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
7
-#		Modified for Debian GNU/Linux
8
-#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
9
-#
10
-# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
11
-#
12
-#  adapted for ser by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>
13
-# $Id$
14
-
15
-
16
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
17
-DAEMON=/usr/sbin/ser
18
-NAME=ser
19
-DESC=ser
20
-PIDFILE=/var/run/$NAME/$NAME.pid
21
-PARAMS="-P $PIDFILE -u ser -g ser"
22
-
23
-test -f $DAEMON || exit 0
24
-
25
-set -e
26
-
27
-case "$1" in
28
-  start)
29
-	echo -n "Starting $DESC: $NAME"
30
-	start-stop-daemon --start --quiet --pidfile $PIDFILE \
31
-		--exec $DAEMON -- $PARAMS
32
-	echo "."
33
-	;;
34
-  stop)
35
-	echo -n "Stopping $DESC: $NAME"
36
-	start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
37
-		--exec $DAEMON
38
-	echo "."
39
-	;;
40
-  #reload)
41
-	#
42
-	#	If the daemon can reload its config files on the fly
43
-	#	for example by sending it SIGHUP, do it here.
44
-	#
45
-	#	If the daemon responds to changes in its config file
46
-	#	directly anyway, make this a do-nothing entry.
47
-	#
48
-	# echo "Reloading $DESC configuration files."
49
-	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
50
-	#	$PIDFILE --exec $DAEMON
51
-  #;;
52
-  restart|force-reload)
53
-	#
54
-	#	If the "reload" option is implemented, move the "force-reload"
55
-	#	option to the "reload" entry above. If not, "force-reload" is
56
-	#	just the same as "restart".
57
-	#
58
-	echo -n "Restarting $DESC: $NAME"
59
-	start-stop-daemon --stop --quiet --pidfile \
60
-		$PIDFILE --exec $DAEMON
61
-	sleep 1
62
-	start-stop-daemon --start --quiet --pidfile \
63
-		$PIDFILE --exec $DAEMON  -- $PARAMS
64
-	echo "."
65
-	;;
66
-  *)
67
-	N=/etc/init.d/$NAME
68
-	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
69
-	echo "Usage: $N {start|stop|restart|force-reload}" >&2
70
-	exit 1
71
-	;;
72
-esac
73
-
74
-exit 0
Browse code

- big makefile changes - debian fixes (works like a charm now) - ipaddr2he bug fix - changes rpm specs - modified the tar makefile target - new make vars: basedir, cfg-target, modules-target - cfg. file modified on the fly (module-path=modules-target) - ser default cfg. file=cfg-target - etc.

Andrei Pelinescu-Onciul authored on 25/09/2002 19:20:26
Showing 1 changed files
1 1
new file mode 100644
... ...
@@ -0,0 +1,74 @@
1
+#! /bin/sh
2
+#
3
+# skeleton	example file to build /etc/init.d/ scripts.
4
+#		This file should be used to construct scripts for /etc/init.d.
5
+#
6
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
7
+#		Modified for Debian GNU/Linux
8
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
9
+#
10
+# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
11
+#
12
+#  adapted for ser by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>
13
+# $Id$
14
+
15
+
16
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
17
+DAEMON=/usr/sbin/ser
18
+NAME=ser
19
+DESC=ser
20
+PIDFILE=/var/run/$NAME/$NAME.pid
21
+PARAMS="-P $PIDFILE -u ser -g ser"
22
+
23
+test -f $DAEMON || exit 0
24
+
25
+set -e
26
+
27
+case "$1" in
28
+  start)
29
+	echo -n "Starting $DESC: $NAME"
30
+	start-stop-daemon --start --quiet --pidfile $PIDFILE \
31
+		--exec $DAEMON -- $PARAMS
32
+	echo "."
33
+	;;
34
+  stop)
35
+	echo -n "Stopping $DESC: $NAME"
36
+	start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
37
+		--exec $DAEMON
38
+	echo "."
39
+	;;
40
+  #reload)
41
+	#
42
+	#	If the daemon can reload its config files on the fly
43
+	#	for example by sending it SIGHUP, do it here.
44
+	#
45
+	#	If the daemon responds to changes in its config file
46
+	#	directly anyway, make this a do-nothing entry.
47
+	#
48
+	# echo "Reloading $DESC configuration files."
49
+	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
50
+	#	$PIDFILE --exec $DAEMON
51
+  #;;
52
+  restart|force-reload)
53
+	#
54
+	#	If the "reload" option is implemented, move the "force-reload"
55
+	#	option to the "reload" entry above. If not, "force-reload" is
56
+	#	just the same as "restart".
57
+	#
58
+	echo -n "Restarting $DESC: $NAME"
59
+	start-stop-daemon --stop --quiet --pidfile \
60
+		$PIDFILE --exec $DAEMON
61
+	sleep 1
62
+	start-stop-daemon --start --quiet --pidfile \
63
+		$PIDFILE --exec $DAEMON  -- $PARAMS
64
+	echo "."
65
+	;;
66
+  *)
67
+	N=/etc/init.d/$NAME
68
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
69
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
70
+	exit 1
71
+	;;
72
+esac
73
+
74
+exit 0